Create metadata files for Git

POST https://{controlplane_path}/api/2/{org_snode_id}/api_service/git/metadata      
Important: This API applies to APIM 3.0, not Classic APIM.

Overview

Create metadata files for Git CI/CD operations.

Prerequisites

You must be an Org admin or a user with appropriate asset permissions.

Request

 POST https://{controlplane_path}/api/1/rest/public/api_service/git/metadata

Example

This example uses basic authentication. For a JWT example, refer to Authentication.

curl -X 'POST' \
  'https://elastic.snaplogic.com/api/2/5bb4aacdee5edcccc7b9aa70/api_service/git/metadata' \
  -H 'Authorization: Basic {base64_encoded email:password}' \
  -H 'Content-Type: application/json' \
  -d '{
  "caller": "ci-pipeline",
  "version_snids": ["65b124ad2c22dd5a9d774dff"]
}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
org_snode_id The snode ID of the environment (Org).

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

 {
  "caller" : "...",
  "version_snids" : [ "..." ]
}
Key Type Description
caller string Required. The identifier of the calling application or user.
version_snids array Required. A list of Service version snode IDs for which to create metadata files.

Response

Response body

On success, the API returns HTTP 201 with an empty response_map:

{
    "response_map": {},
    "http_status_code": 201
}

Error handling

HTTP status codes Message Resolution
401 Unauthorized Verify your credentials and that you have appropriate permissions on the Org.